FWTextInternal::Paragraph Struct Reference

Internal: class to store the paragraph properties. More...

Inheritance diagram for FWTextInternal::Paragraph:

## Public Member Functions

| Paragraph ()
| Constructor. More...
bool | isTable () const
| returns true if this is a table More...
void | setAlign (int align)
| set the align type More...
void | setInterlineSpacing (double spacing, WPXUnit unit)
| set the interline spacing More...
void | setSpacings (double spacing, bool before)
| set the before/after spacing ( negative in point, positive in percent ) More...
void | setBorder (FWStruct::Border border)
| set the border type More...
void | updateFromRuler (Paragraph const &ruler)
| update the paragraph data from a ruler More...
bool | getTableDimensions (std::vector< float > &dim) const
| returns the table dimension in points More...
MWAWParagraph | updateToSent () const
| update the paragraph data to be sent to a listener More...
Public Member Functions inherited from MWAWParagraph
| MWAWParagraph ()
| constructor More...
virtual | ~MWAWParagraph ()
| destructor More...
bool | operator== (MWAWParagraph const &p) const
| operator== More...
bool | operator!= (MWAWParagraph const &p) const
| operator!= More...
double | getMarginsWidth () const
| return the paragraph margin width (in inches) More...
bool | hasBorders () const
| check if the paragraph has some borders More...
bool | hasDifferentBorders () const
| check if the paragraph has different borders More...
void | resizeBorders (size_t newSize)
| a function used to resize the borders list ( adding empty borders if needed ) More...
void | setInterline (double value, WPXUnit unit, LineSpacingType type=Fixed)
| set the interline More...
void | addTo (WPXPropertyList &propList, bool inTable) const
| add to the propList More...
void | addTabsTo (WPXPropertyListVector &propList, double decalX=0.0) const
| add tabs to the propList More...
void | insert (MWAWParagraph const &para)
| insert the set values of para in the actual paragraph More...

## Public Attributes

int | m_align
| the align value More...
double | m_interSpacing
| the spacing More...
WPXUnit | m_interSpacingUnit
| the spacing unit More...
double | m_befAftSpacings [2]
| the before/after spacing ( negative in point, positive in percent) More...
Vec2f | m_dim
| the zone dimension More...
FWStruct::Border | m_border
| the actual border More...
bool | m_isTable
| a flag to know if this is a table More...
int | m_tableBorderId
| the table border id More...
std::vector< int > | m_tableFlags
| the list of table limit More...
int | m_actCol
| the index of the actual column to send More...
bool | m_isSent
| a flag to know if the parser is send or not More...
Public Attributes inherited from MWAWParagraph
Variable< double > | m_margins [3]
| the margins More...
Variable< WPXUnit > | m_marginsUnit
| the margins INCH, ... More...
Variable< double > | m_spacings [3]
| the line spacing More...
Variable< WPXUnit > | m_spacingsInterlineUnit
| the interline unit PERCENT or INCH, ... More...
Variable< LineSpacingType > | m_spacingsInterlineType
| the interline type: fixed, atLeast, ... More...
Variable< std::vector < MWAWTabStop > > | m_tabs
| the tabulations More...
Variable< bool > | m_tabsRelativeToLeftMargin
| true if the tabs are relative to left margin, false if there are relative to the page margin (default) More...
Variable< Justification > | m_justify
| the justification More...
Variable< int > | m_breakStatus
| a list of bits: 0x1 (unbreakable), 0x2 (do not break after) More...
Variable< int > | m_listLevelIndex
| the actual level index More...
Variable< int > | m_listId
| the list id (if know ) More...
Variable< int > | m_listStartValue
| the list start value (if set ) More...
Variable< MWAWListLevel > | m_listLevel
| the actual level More...
Variable< MWAWColor > | m_backgroundColor
| the background color More...
std::vector< Variable < MWAWBorder > > | m_borders
| list of border ( order MWAWBorder::Pos) More...
std::string | m_extra
| a string to store some errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Paragraph const &ind)
| operator<< More...

## Additional Inherited Members

Public Types inherited from MWAWParagraph
enum | { NoBreakBit = 0x1, NoBreakWithNextBit =0x2 }
| some bit use to defined the break status More...
enum | Justification { JustificationLeft, JustificationFull, JustificationCenter, JustificationRight, JustificationFullAllLines }
| an enum used to defined the paragraph justification: left, center, right, full ... More...
enum | LineSpacingType { Fixed, AtLeast }
| the line spacing type: fixed or at least More...

## Detailed Description

Internal: class to store the paragraph properties.

## Constructor & Destructor Documentation

FWTextInternal::Paragraph::Paragraph | ( |  | ) |

inline

Constructor.

## Member Function Documentation

bool FWTextInternal::Paragraph::getTableDimensions | ( | std::vector< float > & | dim | ) | const

inline

returns the table dimension in points

Referenced by FWText::sendTable().

bool FWTextInternal::Paragraph::isTable | ( |  | ) | const

inline

returns true if this is a table

Referenced by FWText::send().

void FWTextInternal::Paragraph::setAlign | ( | int | align | ) |

inline

set the align type

Referenced by FWText::send().

void FWTextInternal::Paragraph::setBorder | ( | FWStruct::Border | border | ) |

inline

set the border type

Referenced by FWText::send().

void FWTextInternal::Paragraph::setInterlineSpacing | ( | double | spacing,
|  | WPXUnit | unit
| ) |  |

inline

set the interline spacing

Referenced by FWText::send().

void FWTextInternal::Paragraph::setSpacings | ( | double | spacing,
|  | bool | before
| ) |  |

inline

set the before/after spacing ( negative in point, positive in percent )

Referenced by FWText::send().

void FWTextInternal::Paragraph::updateFromRuler | ( | Paragraph const & | ruler | ) |

inline

update the paragraph data from a ruler

Referenced by FWText::send().

MWAWParagraph FWTextInternal::Paragraph::updateToSent | ( |  | ) | const

inline

update the paragraph data to be sent to a listener

Referenced by FWText::send().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph const & | ind
| ) |  |

friend

operator<<

## Member Data Documentation

int FWTextInternal::Paragraph::m_actCol

mutable

the index of the actual column to send

Referenced by FWText::sendTable(), and updateToSent().

int FWTextInternal::Paragraph::m_align

the align value

Referenced by FWText::send(), setAlign(), and updateToSent().

double FWTextInternal::Paragraph::m_befAftSpacings[2]

the before/after spacing ( negative in point, positive in percent)

Referenced by Paragraph(), setSpacings(), and updateToSent().

FWStruct::Border FWTextInternal::Paragraph::m_border

the actual border

Referenced by setBorder(), and updateToSent().

Vec2f FWTextInternal::Paragraph::m_dim

the zone dimension

Referenced by getTableDimensions(), FWText::readParagraphTabs(), and updateFromRuler().

double FWTextInternal::Paragraph::m_interSpacing

the spacing

Referenced by setInterlineSpacing(), and updateToSent().

WPXUnit FWTextInternal::Paragraph::m_interSpacingUnit

the spacing unit

Referenced by setInterlineSpacing(), and updateToSent().

bool FWTextInternal::Paragraph::m_isSent

mutable

a flag to know if the parser is send or not

Referenced by FWText::send(), FWText::sendTable(), setAlign(), setBorder(), setInterlineSpacing(), setSpacings(), updateFromRuler(), and updateToSent().

bool FWTextInternal::Paragraph::m_isTable

a flag to know if this is a table

Referenced by isTable(), FWText::readParagraphTabs(), updateFromRuler(), and updateToSent().

int FWTextInternal::Paragraph::m_tableBorderId

the table border id

Referenced by FWText::readParagraphTabs(), FWText::sendTable(), and updateFromRuler().

std::vector<int> FWTextInternal::Paragraph::m_tableFlags

the list of table limit

Referenced by getTableDimensions(), FWText::readParagraphTabs(), updateFromRuler(), and updateToSent().

The documentation for this struct was generated from the following file:

- FWText.cxx